1. replace the reducers with `TypedReducer` the reducers from: https://github.com/dabit3/flutter-redux-example
https://medium.com/flutterpub/flutter-redux-thunk-27c2f2b80a3b
2. add async actions if needed with redux-thunk: 
    - https://medium.com/flutterpub/flutter-redux-thunk-27c2f2b80a3b
    - https://pub.dev/packages/redux_thunk


done:
1. recognize when returhn to the app from the phone call(maybe someone want to cancale the call)- use AppLifecycleState
https://stackoverflow.com/questions/49869873/flutter-update-widgets-on-resume
